Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class SupBookRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.SupBookRecord

    public final class SupBookRecord

extends StandardRecord

Title: Sup Book - EXTERNALBOOK (0x01AE)

Description: A External Workbook Description (Supplemental Book) Its only a dummy record for making new ExternSheet Record

REFERENCE: 5.38

Author:
  Libin Roman (Vista Portal LDT. Developer), Andrew C. Oliver (acoliver@apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`SupBookRecord(RecordInputStream in)` called by the constructor, should set class level fields.
`SupBookRecord(java.lang.String url, java.lang.String[] sheetNames)`

Method Summary
`static SupBookRecord` | `createAddInFunctions()`
`static SupBookRecord` | `createExternalReferences(java.lang.String url, java.lang.String[] sheetNames)`
`static SupBookRecord` | `createInternalReferences(short numberOfSheets)`
`short` | `getNumberOfSheets()`
`java.lang.String[]` | `getSheetNames()`
`short` | `getSid()` return the non static version of the id for this record.
`java.lang.String` | `getURL()`
`boolean` | `isAddInFunctions()`
`boolean` | `isExternalReferences()`
`boolean` | `isInternalReferences()`
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setNumberOfSheets(short number)`
`void` | `setURL(java.lang.String pUrl)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### SupBookRecord

    public SupBookRecord(java.lang.String url,
                         java.lang.String[] sheetNames)

### SupBookRecord

    public SupBookRecord(RecordInputStream in)

  called by the constructor, should set class level fields. Should throw runtime exception for bad/incomplete data.

  Parameters:
    `in` - the stream to read from

Method Detail

### createInternalReferences

    public static SupBookRecord createInternalReferences(short numberOfSheets)

### createAddInFunctions

    public static SupBookRecord createAddInFunctions()

### createExternalReferences

    public static SupBookRecord createExternalReferences(java.lang.String url,
                                                         java.lang.String[] sheetNames)

### isExternalReferences

    public boolean isExternalReferences()

### isInternalReferences

    public boolean isInternalReferences()

### isAddInFunctions

    public boolean isAddInFunctions()

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### setNumberOfSheets

    public void setNumberOfSheets(short number)

### getNumberOfSheets

    public short getNumberOfSheets()

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### getURL

    public java.lang.String getURL()

### getSheetNames

    public java.lang.String[] getSheetNames()

### setURL

    public void setURL(java.lang.String pUrl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD